net.i2p.util

## Class ConcurrentHashSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - net.i2p.util.ConcurrentHashSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

    public class ConcurrentHashSet<E>
    extends AbstractSet<E>
    implements Set<E>

Implement on top of a ConcurrentHashMap with a dummy value.

Author:
  zzz

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentHashSet()`
`ConcurrentHashSet(int capacity)`

### Method Summary

Methods
`boolean` `add(E o)`
`boolean` `addAll(Collection<? extends E> c)`
`void` `clear()`
`boolean` `contains(Object o)`
`boolean` `isEmpty()`
`Iterator<E>` `iterator()`
`boolean` `remove(Object o)`
`int` `size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`containsAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

### Constructor Detail

#### ConcurrentHashSet

    public ConcurrentHashSet()

#### ConcurrentHashSet

    public ConcurrentHashSet(int capacity)

### Method Detail

#### add

    public boolean add(E o)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `Set<E>`
Overrides:
  `add` in class `AbstractCollection<E>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<E>`
Specified by:
  `clear` in interface `Set<E>`
Overrides:
  `clear` in class `AbstractCollection<E>`

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Specified by:
  `contains` in interface `Set<E>`
Overrides:
  `contains` in class `AbstractCollection<E>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`
Specified by:
  `isEmpty` in interface `Set<E>`
Overrides:
  `isEmpty` in class `AbstractCollection<E>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Specified by:
  `remove` in interface `Set<E>`
Overrides:
  `remove` in class `AbstractCollection<E>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `Set<E>`
Specified by:
  `size` in class `AbstractCollection<E>`

#### iterator

    public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Set<E>`
Specified by:
  `iterator` in class `AbstractCollection<E>`

#### addAll

    public boolean addAll(Collection<? extends E> c)

Specified by:
  `addAll` in interface `Collection<E>`
Specified by:
  `addAll` in interface `Set<E>`
Overrides:
  `addAll` in class `AbstractCollection<E>`